#ifndef super_H
#define super_H

/* C header file for Super
 * written by DefMod (Dec 31 2005) on Sat Dec 31 14:14:11 2005
 * Jonathan Coxhead, jonathan@doves.demon.co.uk, 12 May 1995
 */

/*OSLib---efficient, type-safe, transparent, extensible,
   register-safe A P I coverage of RISC O S*/
/*Copyright  1994 Jonathan Coxhead*/

/*
      OSLib is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

      OSLib is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

      You should have received a copy of the GNU General Public License
   along with this programme; if not, write to the Free Software
   Foundation, Inc, 675 Mass Ave, Cambridge, MA 02139, U S A.
*/

#ifndef types_H
#include "oslib/types.h"
#endif

#if defined NAMESPACE_OSLIB
  namespace OSLib {
#endif

/**********************************
 * SWI names and SWI reason codes *
 **********************************/
#undef  Super_Sample90
#define Super_Sample90                          0x40D80
#undef  XSuper_Sample90
#define XSuper_Sample90                         0x60D80
#undef  Super_Sample45
#define Super_Sample45                          0x40D81
#undef  XSuper_Sample45
#define XSuper_Sample45                         0x60D81

#if defined NAMESPACE_OSLIB
  } 
#endif

#endif
